@mixin border-bottom($width, $length-percent, $color) {
  $start-point-percent: (100% - $length-percent) / 2;
  $end-point-percent: (100% - $start-point-percent);

  border-width: 0;
  border-bottom-width: $width;
  border-bottom-style: solid;
  border-image: linear-gradient(
                  to right,
                  transparent $start-point-percent,
                  $color $start-point-percent,
                  $color $end-point-percent,
                  transparent $end-point-percent
  ) 0 0 100% 0;
}